@import "fonts.css";

* {
    -webkit-tap-highlight-color: transparent;
}

*:focus {
    outline: 0;
}

html {
    position: relative;
    width: 100%;
    height: 100%;
    overflow-y: scroll;
}

body {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
    position: relative;
    margin: 0;
    width: 100%;
    min-height: 100%;
    background-color: #212121;
    font-family: 'Roboto', sans-serif;
    color: rgba(0,0,0,0.87);
}

.frame {
    margin: 0 auto;
    max-width: 1200px;
    padding: 0 16px;
    box-sizing: border-box;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    height: 80px;
    width: 100%;
    background: -webkit-linear-gradient(rgba(0,0,0,0.6) 20%, rgba(0,0,0,0));
    background: linear-gradient(rgba(0,0,0,0.6) 20%, rgba(0,0,0,0));
    background-color: transparent;
    color: white;
    -webkit-transition: background-color .2s linear,
                box-shadow .2s linear;
    transition: background-color .2s linear,
                box-shadow .2s linear;
}

@media (max-width: 840px) {
    header {
        height: 60px;
    };
}

header .frame {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
}

header .leftGroup {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    height: 80px;
}

@media (max-width: 840px) {
    header .leftGroup {
        height: 60px;
    };
}

header .flag {
    margin-left: 16px;
    outline: none;
}

header .flag[href] img {
    filter: grayscale(1);
    filter: url('data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'grayscale\'><feColorMatrix type=\'matrix\' values=\'1 0 0 0 0, 0 1 0 0 0, 0 0 1 0 0, 0 0 0 1 0\'/></filter></svg>#grayscale');
    -webkit-filter: grayscale(1);
    -webkit-transform: rotateY(-360deg);
    transform: rotateY(-360deg);
}

header .flag:hover img,
header .flag:focus img {
    filter: grayscale(0);
    filter: url('data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'grayscale\'><feColorMatrix type=\'matrix\' values=\'1 0 0 0 0, 0 1 0 0 0, 0 0 1 0 0, 0 0 0 1 0\'/></filter></svg>#grayscale');
    -webkit-filter: grayscale(0);
    -webkit-transform: rotateY(0deg);
    transform: rotateY(0deg);
    -webkit-transition: all .2s linear;
    transition: all .2s linear;
}

#logo {
    display: block;
    position: relative;
    bottom: -40px;
    width: 120px;
    height: 120px;
}

@media (max-width: 840px) {
    #logo {
        bottom: -10px;
        width: 60px;
        height: 60px;
    };
}

header menu-button {
    display: none !important;
    z-index: 10;
}

@media (max-width: 840px) {
    header menu-button {
        display: block !important;
    };
}

@media (max-width: 840px) {
    #mainNav {
        display: none;
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100vh;
        background-color: rgba(0,0,0,0.7);
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
    };
}

#mainNav ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

#mainNav ul li {
    display: inline-block;
    border-right: 1px solid white;
}

@media (max-width: 840px) {
    #mainNav ul li {
        display: block;
        border-right: none;
        text-align: center;
    };
}

#mainNav ul li:last-of-type {
    border-right: none;
}

#mainNav ul li a {
    display: inline-block;
    padding: 4px 12px;
    color: white;
    font-size: 1.1em;
    text-decoration: none;
    -webkit-transition: all .2s linear;
    transition: all .2s linear;
}

@media (max-width: 840px) {
    #mainNav ul li a {
        padding: 16px;
        font-size: 1.5em;
    };
}

#mainNav ul li:last-of-type a {
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
}

@media (max-width: 840px) {
    #mainNav ul li:last-of-type a {
        border-radius: 0;
    };
}

#mainNav ul li:first-of-type a {
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
}

@media (max-width: 840px) {
    #mainNav ul li:first-of-type a {
        border-radius: 0;
    };
}

#mainNav ul li a:hover {
    background-color: rgba(255,255,255,0.2);
}

#mainNav ul li a:active {
    background-color: rgba(255,255,255,0.4);
}

#mainNav ul li a.current,
#mainNav ul li a:focus {
    font-weight: bold;
}

main {
    min-height: 100%;
}

main.ng-enter {
    opacity: 0;
    filter: alpha(opacity=0);
    -webkit-transition: opacity .2s ease-in-out .2s;
    transition: opacity .2s ease-in-out .2s;
}

main.ng-enter-active {
    opacity: 1;
    filter: alpha(opacity=100);
}

main.ng-leave {
    opacity: 1;
    filter: alpha(opacity=100);
    -webkit-transition: opacity .2s ease-in-out;
    transition: opacity .2s ease-in-out;
}

main.ng-leave-active {
    opacity: 0;
    filter: alpha(opacity=0);
}

section {
    padding: 140px 0 140px;
    background: -webkit-linear-gradient(#6da4e9, #26497e);
    background: linear-gradient(#6da4e9, #26497e);
    color: rgba(255,255,255,0.95);
}

slide-section {
    display: block;
    position: relative;
    width: 100%;
    height: 100vh;
    min-height: 600px;
    overflow: hidden;
    color: rgba(255,255,255,.95);
}

slide-section .slideShow {
    position: relative;
    width: 100%;
    height: 100%;
}

slide-section .slideShow .img {
    position: absolute;
    width: 100%;
    height: 100%;
    background-position: center center;
    background-size: cover;
    opacity: 0;
    filter: alpha(opacity=0);
    -webkit-transition: opacity linear .2s;
    transition: opacity linear .2s;
}

slide-section .slideShow .img.active {
    opacity: 1;
    filter: alpha(opacity=100);
}

slide-section .slideShow .text {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    max-width: 600px;
    padding: 24px;
    box-sizing: border-box;
    border-radius: 4px;
    background-color: rgba(0,0,0,0.6);
    text-align: center;
}

@media (max-width: 632px) {
    slide-section .slideShow .text {
        margin: auto 16px;
    };
}

wave-section {
    display: block;
    position: relative;
    z-index: 0;
    margin-top: -140px;
}

wave-section .waveCurve {
    display: block;
    height: 140px;
    width: 100%;
    background-size: 100% 100%;
}

wave-section:nth-child(2n - 1) .waveCurve {
    -webkit-transform: scaleX(-1);
    -ms-transform: scaleX(-1);
    transform: scaleX(-1);
    background-image: url(../images/waveWhite.svg);
}

wave-section:nth-child(2n) .waveCurve {
    background-image: url(../images/waveRed.svg);
}

wave-section .waveMain {
    position: relative;
    z-index: 10;
    padding: 16px 0 156px;
}

wave-section:nth-child(2n-1) .waveMain {
    background: #fafafa;
    background: -webkit-linear-gradient(left, #fafafa, #ddd);
    background: linear-gradient(to right, #fafafa, #ddd);
}

wave-section:nth-child(2n) .waveMain {
    background: rgb(150,0,40);
    background: -webkit-linear-gradient(left, rgb(112, 0, 30), rgb(150,0,40));
    background: linear-gradient(to right, rgb(112, 0, 30), rgb(150,0,40));
    color: rgba(255,255,255,0.95);
}

*[class^='col-'] {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
}

*[class^='col-']:not(:first-of-type) {
    margin-top: 32px;
}

@media (max-width: 840px) {
    wave-section:nth-child(2n-1) *[class^='col-'] > *:nth-child(2) {
        -webkit-box-ordinal-group: 0;
        -webkit-order: -1;
        -ms-flex-order: -1;
        order: -1;
    };
}

*[class^='col-'] > * {
    -webkit-box-flex: 1;
    -webkit-flex: 1 1 auto;
    flex: 1 1 auto;
    -ms-flex: 0 0 auto;
    box-sizing: border-box;
    min-width: 0;
}

@media (max-width: 840px) {
    *[class^='col-'] > * {
        max-width: 100% !important;
    }

    wave-section:nth-child(2n-1) *[class^='col-'] > * {
        width: auto;
    };
}

.col-1-1 > * {
    max-width: 50%;
}

.col-1-1 > *:first-of-type {
    padding-right: 16px;
}

.col-1-1 > *:last-of-type {
    padding-left: 16px;
}

.col-1-2 > *:first-of-type {
    max-width: 33.3333%;
    padding-right: 16px;
}

.col-1-2 > *:last-of-type {
    max-width: 66.6667%;
    padding-left: 16px;
}

.col-2-1 > *:first-of-type {
    max-width: 66.6667%;
    padding-right: 16px;
}

.col-2-1 > *:last-of-type {
    max-width: 33.3333%;
    padding-left: 16px;
}

.col-img-1-1-1 {
    margin-top: 16px;
}

.col-img-1-1-1 > * {
    width: 33.3333% !important;
    max-width: 33.3333%;
    padding: 0 8px;
}

.col-img-1-1-1 > *:first-of-type {
    padding-left: 0;
}

.col-img-1-1-1 > *:last-of-type {
    padding-right: 0;
}

@media (max-width: 840px) {
    .col-1-1 > *,
    .col-1-2 > *,
    .col-2-1 > * {
        -webkit-box-flex: 0 !important;
        -webkit-flex: 0 0 100% !important;
        -ms-flex: 0 0 100% !important;
        flex: 0 0 100% !important;
        padding: 0 !important;
    };
}

*[class^='col-'] img,
*[class^='col-'] iframe {
    display: inline-block;
    width: 100%;
}

*[class^='col-'].partner img {
    display: block;
    margin: 0 auto;
    width: 250px;
    height: 250px;
    border-radius: 50%;
}

#footer {
    color: white;
}

#footer .waveCurve {
    background-image: url(../images/waveGrey.svg);
    -webkit-transform: none;
    -ms-transform: none;
    transform: none;
    -webkit-transition: -webkit-transform .2s ease-out;
    transition: transform .2s ease-out;
}

#footer.right .waveCurve {
    -webkit-transform: scaleX(-1);
    -ms-transform: scaleX(-1);
    transform: scaleX(-1);
}

#footer .waveMain {
    padding: 0 0 16px;
    background: #212121;
    box-shadow: 0 -1px 1px #212121;
}

#footerNav {
}

#footerNav ul {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: start;
    -webkit-justify-content: flex-start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin: 0;
    padding: 0;
    list-style: none;
}

#footer.right #footerNav ul {
    -webkit-box-pack: end;
    -webkit-justify-content: flex-end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

#footerNav ul li {
    margin-right: 16px;
}

#footer.right #footerNav ul li {
    margin-left: 16px;
}

#footerNav ul li a,
#footerNav ul li span {
    display: inline-block;
    padding: 8px 0;
    color: white;
    text-decoration: none;
}

#footerNav ul li a:hover {
    text-decoration: underline;
}

#footerNav ul li span {
    color: rgba(255,255,255,0.7);
}

room-description {
    display: block;
    padding: 16px 0;
}

room-description .col-1-1 {
    margin-top: 0 !important;
}

calendar .top {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
}

calendar .top span {
    font-size: 1.1em;
}

calendar .month {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    display: block;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

calendar .month.active {
    display: -webkit-box !important;
    display: -webkit-flex !important;
    display: -ms-flexbox !important;
    display: flex !important;
}

calendar .day {
    margin: 1px;
    width: calc(14.28571% - 1.71429px);
}

calendar .day:nth-of-type(7n + 1) {
    margin-left: 0;
}

calendar .day:nth-of-type(7n) {
    margin-right: 0;
}

calendar .day input {
    display: none;
}

calendar .day label {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    width: 100%;
    height: 100%;
    padding: 0;
    border: 2px solid #1e1e1e;
    -webkit-transition: background-color .2s linear;
    transition: background-color .2s linear;
    cursor: pointer;
}

calendar .day input:not(:disabled) + label:hover {
    background-color: rgba(0,0,0,0.2);
}

calendar input:checked + label {
    background-color: rgba(0,0,0,.87) !important;
    color: rgba(255,255,255,0.95);
}

calendar input:checked + label:hover {
    background-color: #212121 !important;
}

calendar input:disabled + label {
    background-color: rgba(0,0,0,0.1);
    color: rgba(0,0,0,0.5);
    cursor: default;
}

h1 {
    margin: 28px 0 16px;
    font-family: 'Merriweather';
    font-weight: normal;
    font-size: 3em;
}

h1.title {
    text-align: center;
}

wave-section .waveMain h1 {
    margin-top: -64px;
}

wave-section:nth-child(2n) .waveMain h1.title,
wave-section:nth-child(2n) .waveMain h2.title {
    text-align: left;
}

wave-section:nth-child(2n-1) .waveMain h1.title,
wave-section:nth-child(2n-1) .waveMain h2.title {
    text-align: right;
}

[switch-images] [class^='col-img'] img {
    cursor: pointer;
    -webkit-transition: all .2s linear;
    transition: all .2s linear;
}

[switch-images] [class^='col-img'] img:hover {
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.1);
    transform: scale(1.1);
}

@media (max-width: 840px) {
    h1 {
        margin: 18px 0 12px;
        font-size: 2.6em;
    }

    h1 + p {
        margin-top: 0;
    };
}

h2 {
    margin: 16px 0 8px;
    font-family: 'Merriweather';
    font-weight: normal;
    font-size: 2em;
}

@media (max-width: 840px) {
    h2 {
        margin: 12px 0 6px;
        font-size: 2em;
    }

    h2 + p {
        margin-top: 0;
    };
}

h3 {
    margin: 12px 0 6px;
    font-family: 'Merriweather';
    font-weight: normal;
    font-size: 1.8em;
}

.button, select, input, textarea {
    display: inline-block;
    margin: 8px 0;
    padding: 8px;
    box-sizing: border-box;
    border: 2px solid rgba(255,255,255,0.95);
    background: transparent;
    color: rgba(255,255,255,0.95);
    text-decoration: none;
    font-family: 'Merriweather';
    font-size: 1.1em;
    -webkit-transition: all .2s ease-out;
    transition: all .2s ease-out;
    cursor: pointer;
}

textarea {
    resize: none;
}

input, textarea {
    cursor: text;
}

input[type='text'],
input[type='tel'],
input[type='email'],
input[type='time'],
input[type='date'],
input[type='number'],
textarea {
    width: 100%;
}

input[type='date'] {
    min-width: 200px;
}

select, textarea, input {
    border-radius: 0;
}

input::-webkit-input-placeholder, textarea::-webkit-input-placeholder {
    color: white;
    opacity: 0.7;
    filter: alpha(opacity=70);
}

input:-moz-placeholder, textarea:-moz-placeholder {
    color: white;
    opacity: 0.7;
    filter: alpha(opacity=70);
}

input::-moz-placeholder, textarea::-moz-placeholder {
    color: white;
    opacity: 0.7;
    filter: alpha(opacity=70);
}

input:-ms-input-placeholder, textarea:-ms-input-placeholder {
    color: white;
    opacity: 0.7;
    filter: alpha(opacity=70);
}

wave-section:nth-child(2n-1) input::-webkit-input-placeholder,
wave-section:nth-child(2n-1) textarea::-webkit-input-placeholder {
    color: black;
    opacity: 0.7;
    filter: alpha(opacity=70);
}

wave-section:nth-child(2n-1) input:-moz-placeholder,
wave-section:nth-child(2n-1) textarea:-moz-placeholder {
    color: black;
    opacity: 0.7;
    filter: alpha(opacity=70);
}

wave-section:nth-child(2n-1) input::-moz-placeholder,
wave-section:nth-child(2n-1) textarea::-moz-placeholder {
    color: black;
    opacity: 0.7;
    filter: alpha(opacity=70);
}

wave-section:nth-child(2n-1) input:-ms-input-placeholder,
wave-section:nth-child(2n-1) textarea:-ms-input-placeholder {
    color: black;
    opacity: 0.7;
    filter: alpha(opacity=70);
}

wave-section:nth-child(2n-1) .button,
wave-section:nth-child(2n-1) select,
wave-section:nth-child(2n-1) input {
    border-color: rgba(0,0,0,0.87);
    color: rgba(0,0,0,0.87);
}

.button:not([disabled]):hover, select:hover {
    background: rgba(255,255,255,0.95);
    color: rgba(0,0,0,0.87);
}

wave-section:nth-child(2n-1) .button:not([disabled]):hover,
wave-section:nth-child(2n-1) select:hover {
    background: rgba(0,0,0,1);
    color: rgba(255,255,255,0.95);
}

.button:active, select:active {
    box-shadow: inset 0 0 30px rgba(0,0,0,0.4);
}

.button[disabled] {
    opacity: .8;
    filter: alpha(opacity=80);
    cursor: default;
}

wave-section:nth-child(2n-1) .button:active,
wave-section:nth-child(2n-1) select:active {
    box-shadow: inset 0 0 30px rgba(255,255,255,0.2);
}

[name='contactForm'] input,
[name='contactForm'] textarea {
    display: block;
    width: 100%;
    box-sizing: border-box;
}

[name='contactForm'] input[type='submit'] {
    width: auto;
}

[name='contactForm'] textarea {
    min-height: 300px;
}

select {
    max-width: 100%;
}

label {
    display: block;
    padding-top: 8px;
}

hr {
    margin: 12px 0;
    border: none;
    border-top: 1px solid rgba(255,255,255,0.95);
}

wave-section:nth-child(2n-1) hr {
    border-color: rgba(0,0,0,0.87);
}

#fb-root {
    display: none;
}

[vc-recaptcha] {
    width: 304px;
}
